Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  	
  	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   		namespace :admin do
      		resources :text_marquees do
      			get "newtext" => 'text_marquees#newtext'
      			get "edittext" => 'text_marquees#edittext'
      			post "createtext" => 'text_marquees#createtext'
      			patch "updatetext" => 'text_marquees#updatetext'
      			delete "deletetext" => 'text_marquees#deletetext'
      		end
   	end
  end
end
